{% extends 'static_login.html' %} {% block content %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css">
<!-- Outer Row -->
<main id="main">
    <section class="vh-100" style="background-color: #e1eaf5;">
        <div class="container-fluid text-center">
            <br><br><br>
            <h2 style="color:#20a9f8;
                font-family: 'Poppins', sans-serif;
                font-size: 56px;
                font-weight: 700;">SIRAD</h2>
            <br>
            <div class="row justify-content-center">
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header">
                            Log In
                        </div>
                        <div class="card-body">
                            <form class="user" method="POST">
                                {% csrf_token %} {% if form.errors %}
                                <div class="alert alert-danger" role="alert">
                                    {{ form.non_field_errors }}
                                </div>
                                {% endif %}
                                <div class="form-group">
                                    <div class="row mt-4">
                                        <label class="col-sm-4">Username:</label>
                                        <div class="col-sm-8">
                                            <input type="text" name="{{ form.username.name }}" class="form-control" id="username" placeholder="Username" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row mt-4">
                                        <label class="col-sm-4">Password:</label>
                                        <div class="col-sm-8">
                                            <input type="password" name="{{ form.password.name }}" class="form-control" id="password" style="position:relative;" required>
                                            <span class="far fa-eye" id="togglePassword" style="position:absolute; right:30px;top:11px; cursor: pointer;"></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="mt-5 text-center">
                                    <button class="btn btn-primary px-4" type="submit" value="Login">Login</button>
                                </div>
                                <br>
                                <div>
                                    Belum punya akun? daftar <a href="/customer-registration">sebagai customer di sini</a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
</main>
<script>
    const togglePassword = document.querySelector('#togglePassword');
    const password = document.querySelector('#password');

    togglePassword.addEventListener('click', function(e) {
        // toggle the type attribute
        const type = password.getAttribute('type') === 'password' ? 'text' : 'password';
        password.setAttribute('type', type);
        // toggle the eye slash icon
        this.classList.toggle('fa-eye-slash');
    });
</script>
{% endblock content %}